ios - Mit Xcode 11.2(11B52) archivierte App abgelehnt: ITMS-90534: Ungültige Toolchain




app-store macos-catalina (2)

Xcode 11.2 wird am 5. November 2019 von Apple nicht mehr unterstützt

Immer funktionierende Problemumgehung (manueller Download)

Laden Sie die xip-Datei hier herunter

Ebenfalls:

Neueste Release-Version (Xcode 11.2.1)

oder

Neueste Beta-Version (Xcode 11.3 Beta)

oder

Jede Version, die Sie brauchen . Und alle anderen herunterladbaren Inhalte

Dann extrahieren und verschieben Sie es, wo Sie möchten.

Alle Informationen zur Problemumgehung finden Sie hier.

Ich habe sowohl Catalina als auch Xcode 11 aus dem Store installiert und sie sind aktuell:

  • Catalina: 10.15.1 (19B88)
  • Xcode: 11.2 (11B52)

Gestern habe ich mit fastlane eine neue Binärdatei fastlane . Heute habe ich diese Nachricht von Apple erhalten:

Sehr geehrter Entwickler,

Wir haben ein oder mehrere Probleme mit dem kürzlich eingereichten App Store Review für Ihre App "Gözen Security" 7.3.2 (67) festgestellt. Korrigieren Sie die folgenden Probleme und laden Sie sie erneut hoch.

ITMS-90534: Ungültige Toolchain - Ihre App wurde mit einer nicht unterstützten Version von Xcode oder SDK erstellt. Wenn Sie dieses Build an den App Store senden möchten, stellen Sie sicher, dass Sie die GM-Version von Xcode 10.1 und das SDK für iOS 12.1 und watchOS 5.1, Xcode 7.1 und das SDK für tvOS 9 oder Xcode 6 und das SDK für macOS verwenden 10.9 oder höher. Wenn Sie zum Testen Ihrer App eine Xcode-Betaversion verwenden, stellen Sie sicher, dass Sie die neueste unterstützte Version verwenden. Weitere Informationen zu den unterstützten Betaversionen finden Sie auf der Seite "Was ist neu in App Store Connect?" ( https://developer.apple.com/app-store-connect/whats-new/ ).

Freundliche Grüße,

Das App Store-Team

Seitdem Catalina und Xcode 11 offiziell veröffentlicht wurden, warum möchte Apple dass ich Xcode 10 und iOS 12 ?


Sie müssen die Toolchain in den Xcode Einstellungen ändern. Sie können es wie folgt tun:

  1. Öffne " Xcode ".
  2. Tippen Sie im oberen Menü auf " Xcode -> Einstellungen ".
  3. Tippen Sie im geöffneten Menü auf " Orte> Befehlszeilentools> Xcode 11.2 (11B52) ".

Hinweis: Abhängig von der installierten Xcode Version gibt es möglicherweise mehrere Toolchains, sodass Sie beim Einreichen der Apps besser die neueste Version auswählen können.

Lass mich wissen, ob das hilft oder nicht?





macos-catalina